from pylab import *

figure(figsize=(7,6))
da1=loadtxt('density_vs_z.dat')
da1[:,1]=da1[:,1]

zc=0#sum(da1[:,0]*da1[:,1])/sum(da1[:,1])

gds=13.7

subplot(211)
plot((da1[:,0]-zc-gds)/10.,da1[:,1],'-',lw=4)
fill((da1[:,0]-zc-gds)/10.,da1[:,1],alpha=0.5)
axis([-gds/10.,2.5-gds/10.,0,1.1])

xlabel(r'$z/\mathrm{nm}$',size=20)
xticks(size=18)
yticks(size=18)

da=loadtxt('fe_ui.xy')

subplot(212)
plot((da[1:,0]-gds)/10.,da[1:,1]/.5922-6.2,'-',lw=4.)
ye=da[:,1]/.5922+da[:,2]/.5922
ye=append(ye,da[::-1,1]/.5922-da[::-1,2]/.5922)

z=da[:,0]-gds
z=append(z,z[::-1])
fill(z/10.,ye-6.2,alpha=0.5)

axis([-gds/10.,2.5-gds/10.,-6.5,.5])

xlabel(r'$z/\mathrm{nm}$',size=20)
xticks(size=18)
yticks(size=18)
tight_layout()
savefig('Fig1.pdf')

show()
